Page MenuHomePhabricator

Missing unittests for scripts (tracking)
Closed, ResolvedPublic

Description

This is a task tracking unit tests that should be added for scripts. Adding unit tests is a simple way for new contributors to explore the library.codecov may give an overview.

See also T60941.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
Resolvedjayvdb
InvalidNone
ResolvedXqt
ResolvedXqt
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedjayvdb
ResolvedGeorggi1999
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedRicordisamoa
ResolvedNone
ResolvedNone
Resolvedmurfel
ResolvedMpaa
ResolvedLadsgroup
ResolvedXZise
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedRicordisamoa
ResolvedRicordisamoa
ResolvedXqt
ResolvedXqt
ResolvedXqt
DeclinedNone
ResolvedNone
ResolvedXqt
ResolvedXqt
ResolvedXZise
ResolvedXqt
ResolvedXqt
ResolvedXqt
DeclinedBUG REPORTNone
ResolvedBUG REPORTXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt

Event Timeline

Xqt created this task.May 6 2018, 9:08 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptMay 6 2018, 9:08 AM
Xqt renamed this task from Missing unittess for scrips (tracking) to Missing unittests for scrips (tracking).May 6 2018, 9:11 AM
Xqt renamed this task from Missing unittests for scrips (tracking) to Missing unittests for scripts (tracking).May 6 2018, 9:30 AM
Dalba moved this task from Backlog to Tracking tasks on the Pywikibot board.May 11 2018, 2:12 AM

Change 478731 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] exclude some files and folders from code coverage

https://gerrit.wikimedia.org/r/478731

Change 478731 merged by jenkins-bot:
[pywikibot/core@master] [tests] exclude some files and folders from code coverage

https://gerrit.wikimedia.org/r/478731

Change 482505 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [tests] Add compat2core_tests.py

https://gerrit.wikimedia.org/r/482505

Change 482505 merged by jenkins-bot:
[pywikibot/core@master] [tests] Add compat2core_tests.py

https://gerrit.wikimedia.org/r/482505

Xqt closed this task as Resolved.Sep 27 2020, 4:34 PM
Xqt claimed this task.